Skip to content
vocapable.Docs

Clone Mobile Agent

POST
/v1/mobile/agents/{agent_id}/clone
curl --request POST \
--url https://api.vocapable.com/v1/mobile/agents/example/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: example' \
--data '{ "name": "example", "expected_updated_at": "2026-04-15T12:00:00Z" }'
agent_id
required
Agent Id
string
Idempotency-Key
required
string
<= 255 characters

Unique key for this draft change. Retry with the same key and body to replay the saved result instead of repeating the change. Stored for 24 hours; a replay carries Idempotent-Replay: true.

Media typeapplication/json
AgentCloneRequest

Copy this company’s current editable configuration into a new draft.

object
name
required
Name
string
>= 1 characters <= 200 characters
expected_updated_at
required
Expected Updated At
string format: date-time
Examplegenerated
{
"name": "example",
"expected_updated_at": "2026-04-15T12:00:00Z"
}

Successful Response

Media typeapplication/json
MobileAgent
object
id
required
Id
string
name
required
Name
string
use_case
required
Use Case
string
status
required
Status
string
latest_version
required
Any of:
integer
updated_at
required
Updated At
string format: date-time
Examplegenerated
{
"id": "example",
"name": "example",
"use_case": "example",
"status": "example",
"latest_version": 1,
"updated_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}